mondo package doesn't cope with grub2

Bug #503616 reported by Lars Erlandsen on 2010-01-05
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
mondo (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Iulian Udrea
Declined for Lucid by Iulian Udrea

Bug Description

Binary package hint: mondo

Running mondo, it eventually complains it cannot generate any boot instructions. Researching this on the mondo website, it turns out that the current version of mondo included (2.2.7-2.1) has no support for grub2 booting. Ubuntu 9.10 uses grub2 as the default boot manager.

The mondo package needs to be updated to a later version: The mondo website lists version 2.2.9.1 (if memory serves me right) as the current version, and this version *does* cope with grub2.

lerlands@lenny:~$ lsb_release -rd
Description: Ubuntu 9.10
Release: 9.10
lerlands@lenny:~$ apt-cache policy mondo
mondo:
  Installed: 1:2.2.7-2.1
  Candidate: 1:2.2.7-2.1
  Version table:
 *** 1:2.2.7-2.1 0
        500 http://gb.archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
Architecture: i386
Date: Tue Jan 5 23:15:01 2010
DistroRelease: Ubuntu 9.10
Package: mondo 1:2.2.7-2.1
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: mondo
Uname: Linux 2.6.31-16-generic i686

Lars Erlandsen (lars-erlandsen) wrote :

Hello all,
please note that this bug completely inhibits use of mondo on any newly installed ubuntu system. Updated Version of mondo is available from http://www.mondorescue.org/ where they state that grub 2 support is available in 2.2.9. There are many other important changes in this new version.
Strange observation: if you download the 2.2.9 package from mondorescue site and try to install, gdebi complains about 2.2.7 being newer. You have to uninstall 2.2.7 first. Same with mindi.
Kind regards, dsto
***

mondo CHANGES file

mindi-busybox CHANGES

mindi CHANGES

mondo NEWS.gz of current version available from product homepage

FreezeException request
@release team, please note avail of updated packages as current from ubuntu repo a) suffers from severe bug on grub-2 systems as indicated in the title and b) has a release problem, as overwriting more current versions installed manually. Apart from mondo & mindi we have to add mindi-busybox, too.
thank you, kind regards, Daniel Stoni

Stéphane, would you mind to have a look at this and give us some advice? In my opinion, this needs to be addressed urgently for lucid (and karmic). Thx, Dani

Scott Kitterman (kitterman) wrote :

If someone can package and test the new version, I'll be happy to approve the FFe.

All,

I have just upgraded to Luid Lynx: This bug is also present there. Installed version is still 2.2.7.[something], but needs to be 2.2.9.[something] for grub2 to be supported.

Incidentally, the mondo website offers pre-built debian packages for ubuntu -- I am sure you can get updated build instructions and control files for mondo from there (http://www.mondorescue.org/downloads.shtml), or the '.deb' package itself.

Iulian Udrea (iulian) wrote :

Version 2.2.9.1 is currently sitting in Debian mentors: http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=mondo and is waiting for a Debian Developer to review it. It would be great if you could talk to the current maintainer and find a DD to upload it. After it lands in Debian, we can request a sync.

Scott, I'm fine with getting this in. Will you still be happy to approve it?

Changed in mondo (Ubuntu):
status: New → Incomplete
Scott Kitterman (kitterman) wrote :

Yes. It would be good if we could sync it from Debian.

Scott Kitterman (kitterman) wrote :

It's too late for dealing with this in Maverick. Unsubscribing the release team.

niniadcobre (lechnermiriam) wrote :

Hello,
   I'm using Lucid Lynx and this problem is still present. I will download the packages from http://mondorescue.muskokamug.org/ubuntu/10.04/, however will be great to have it directly from Ubuntu repository.
   Thanks in advance.

Launchpad Janitor (janitor) wrote :

[Expired for mondo (Ubuntu) because there has been no activity for 60 days.]

Changed in mondo (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers